Name:           libkomparediff2
Summary:        Library to compare files and strings
Version:        22.08.0
Release:        1
License:        GPLv2+ and BSD
URL:            https://invent.kde.org/sdk/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  qt5-qtbase-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kcodecs-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kxmlgui-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kparts-devel

Conflicts:      kde-l10n < 17.03

Requires:       diffutils

Obsoletes:      kompare-libs < 4.11.80
Obsoletes:      kdesdk-kompare-libs < 4.10.80

%description
A shared library to compare files and strings using KDE Frameworks 5 and GNU
diff, used in Kompare and KDevelop.

%package devel
Summary:        Developer files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake
Requires:       qt5-qtbase-devel
Requires:       kf5-kcodecs-devel
Requires:       kf5-kcoreaddons-devel
Requires:       kf5-ki18n-devel
Requires:       kf5-kio-devel
Requires:       kf5-kxmlgui-devel
Conflicts:      kompare-devel < 4.11.80
Conflicts:      kdesdk-kompare < 4.10.80
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DBUILD_TESTING:BOOL=%{?tests}%{!?tests:0}
popd
%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name


%check
%if 0%{?tests}
%ctest
%endif


%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING*
%{_kf5_datadir}/qlogging-categories5/libkomparediff2.categories
%{_libdir}/libkomparediff2.so.5*

%files devel
%{_includedir}/libkomparediff2/
%{_libdir}/libkomparediff2.so
%{_libdir}/cmake/LibKompareDiff2/


%changelog
* Mon Sep 05 2022 liweiganga <liweiganga@uniontech.com> - 22.08.0-1
- update to upstream version 22.08.0

* Tue Jul 19 2022 misaka00251 <misaka00251@misakanet.cn> - 22.04.3-1
- Init package (Thanks to fedora team)
